Ruby哈希冲突拒绝服务漏洞

2011-12-30T00:00:00
ID SSV:26126
Type seebug
Reporter Root
Modified 2011-12-30T00:00:00

Description

BUGTRAQ ID: 51198 CVE ID: CVE-2011-4815

Ruby一种为简单快捷对象导向编程(面向对象程序设计)而创的脚本语言。

Ruby处理在哈希表单张贴和更新哈希表单时,哈希生成函数中存在错误,通过在HTTP POST请求中发送特制的表单,攻击者可利用此漏洞造成哈希冲突,导致较高的CPU消耗。 0 Ruby 1.x 厂商补丁:

Yukihiro Matsumoto

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.ruby-lang.org/